Bug 1545901 - [epel-rpm-macros] please add %vimfiles_root
Summary: [epel-rpm-macros] please add %vimfiles_root
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: epel-rpm-macros
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-15 19:35 UTC by Carl George
Modified: 2018-03-06 17:32 UTC (History)
4 users (show)

Fixed In Version: epel-rpm-macros-7-15 epel-rpm-macros-6-18
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-06 17:30:44 UTC
Type: Bug


Attachments (Terms of Use)

Description Carl George 2018-02-15 19:35:26 UTC
Description of problem:
%vimfiles_root is defined on Fedora (/usr/lib/rpm/macros.d/macros.vim, part of vim-filesystem), but not on RHEL.  I would like to use this macro in my Fedora spec files and have it work correctly when built for EPEL.

Additional info:
It is defined in /usr/lib/rpm/macros.d/macros.vim, which is part of vim-filesystem.

Comment 1 Jason Tibbitts 2018-02-15 19:52:14 UTC
Sure, I'll have a look.

It appears that there's simply no vim-related macro file on EL6 or EL7, but that the Fedora definition (%_datadir/vim/vimfiles) is valid there.  So I'll just add that definition directly.

Comment 2 Fedora Update System 2018-02-15 20:15:52 UTC
epel-rpm-macros-6-18 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-01df21cc94

Comment 3 Fedora Update System 2018-02-15 20:17:25 UTC
epel-rpm-macros-7-15 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-7c8f403cdc

Comment 4 Carl George 2018-02-15 20:22:40 UTC
You rock tibbs!  Thanks for the super quick turnaround.

Comment 5 Jason Tibbitts 2018-02-15 20:33:34 UTC
All done, but of course these won't go out for two weeks unless karma is given.  I did create buildroot overrides for both packages, so you should be able to build against them in koji now.

Comment 6 Fedora Update System 2018-02-16 15:42:09 UTC
epel-rpm-macros-7-15 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-7c8f403cdc

Comment 7 Fedora Update System 2018-02-16 18:15:49 UTC
epel-rpm-macros-6-18 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-01df21cc94

Comment 8 Fedora Update System 2018-03-06 17:30:44 UTC
epel-rpm-macros-7-15 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-03-06 17:32:08 UTC
epel-rpm-macros-6-18 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.